package de.ivu.elect.was.exchange.wahl;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.WusFeaturesAktiviert;
import de.ivu.elect.business.wahl.entity.WahlKonfigurationExchangeContext;
import de.ivu.elect.exchange.wahl.DefaultXMLWahlKonfigurationExportMapper;

/**
 *  on 01.07.2015.
 */
@Specializes
public class WasDefaultXMLWahlKonfigurationExportMapper extends DefaultXMLWahlKonfigurationExportMapper {

  @Inject
  private transient WusFeaturesAktiviert wusFeaturesAktiviert;

  @Override
  public boolean isAcceptContext(WahlKonfigurationExchangeContext noContext) {
    if (wusFeaturesAktiviert.isWusOderWusWasZusammen()) {
      return super.isAcceptContext(noContext);
    }
    return false;
  }
}
